
local function FadeIn(object)
	if alive(object) then
		local current_alpha = object:alpha()
		over(0.3, function(progress)
			object:set_alpha(math.lerp(current_alpha, 1, progress))
		end)
	end
end

local function FadeOut(object)
	if alive(object) then
		local current_alpha = object:alpha()
		over(0.3, function(progress)
			object:set_alpha(math.lerp(current_alpha, 0.4, progress))
		end)
	end
end

local refresh_actual = NewSkillTreeSkillItem.refresh
function NewSkillTreeSkillItem:refresh(...)
	refresh_actual(self, ...)

	if not alive(self._skill_panel) then
		return
	end

	local skill_text = self._skill_panel:child("SkillName")
	if not alive(skill_text) then
		return
	end

	skill_text:set_visible(true)

	skill_text:stop()
	if not self._selected then
		skill_text:animate(FadeOut)
	else
		skill_text:animate(FadeIn)
	end
end
